<?
session_start();

header( 'Content-type: text/html; charset=windows-1251' );

if (!(isset($_SESSION["username"]) && isset($_SESSION["password"]))) {
    header("Location: /");
	exit();
}

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) {
    exit();
}

include_once 'config.php';
//Дин.ссылки
if ($_GET['func'] == 'dyn') {
    $id = intval($_POST['id']);
    $price = intval($_POST['price']);
    $nowtime = time();
    
    $sql = mysql_query("SELECT id FROM tb_ads WHERE id = '$id' and modered = 1 and fromus = '$_SESSION[iduser]'");
	if(mysql_num_rows($sql) != 0) {
        $row = mysql_fetch_array($sql);
		if ($price < 5 or !is_numeric($price)) {
		  echo 'Указана неверная сумма';
		} else
        if ($id < 1) {
            echo 'Неверный параметр';
        } else {
            mysql_query("INSERT INTO seo_basket (ident,price,fromid,time,type) values ('$id','$price','$_SESSION[iduser]','$nowtime','1')") or die(mysql_error());
            echo 1;
		}
	} else {
	   echo 'Неверный параметр';
	}
}
//Платные письма
if ($_GET['func'] == 'pmail') {
    $id = intval($_POST['id']);
    $price = intval($_POST['price']);
    $nowtime = time();
    
    $sql = mysql_query("SELECT id FROM seo_paymails WHERE id = '$id' and modered = 1 and fromid = '$_SESSION[iduser]'");
	if(mysql_num_rows($sql) != 0) {
        $row = mysql_fetch_array($sql);
		if ($price < 5 or !is_numeric($price)) {
		  echo 'Указана неверная сумма';
		} else
        if ($id < 1) {
            echo 'Неверный параметр';
        } else {
            mysql_query("INSERT INTO seo_basket (ident,price,fromid,time,type) values ('$id','$price','$_SESSION[iduser]','$nowtime','6')") or die(mysql_error());
            echo 1;
		}
	} else {
	   echo 'Неверный параметр';
	}
}
//Контекстная реклама
if ($_GET['func'] == 'statlink') {
    $id = intval($_POST['id']);
    $price = intval($_POST['price']);
    $nowtime = time();
    
    $sql = mysql_query("SELECT price FROM tb_statlinks WHERE id = '$id' and modered = 1 and fromus = '$_SESSION[iduser]'");
	if(mysql_num_rows($sql) != 0) {
        $row = mysql_fetch_array($sql);
		if ($price < 5 or !is_numeric($price)) {
		  echo 'Указана неверная сумма';
		} else
        if ($id < 1) {
            echo 'Неверный параметр';
        } else {
            mysql_query("INSERT INTO seo_basket (ident,price,fromid,time,type) values ('$id','$price','$_SESSION[iduser]','$nowtime','2')") or die(mysql_error());
            echo 1;
		}
	} else {
	   echo 'Неверный параметр';
	}
}
//Баннер 100*100
if ($_GET['func'] == 'ban2') {
    $id = intval($_POST['id']);
    $price = intval($_POST['price']);
    $nowtime = time();
    
    $sql = mysql_query("SELECT price FROM tb_advban_100 WHERE id = '$id' and modered = 1 and fromus = '$_SESSION[iduser]'");
	if(mysql_num_rows($sql) != 0) {
        $row = mysql_fetch_array($sql);
		if ($price < 5 or !is_numeric($price)) {
		  echo 'Указана неверная сумма';
		} else
        if ($id < 1) {
            echo 'Неверный параметр';
        } else {
            mysql_query("INSERT INTO seo_basket (ident,price,fromid,time,type) values ('$id','$price','$_SESSION[iduser]','$nowtime','9')") or die(mysql_error());
            echo 1;
		}
	} else {
	   echo 'Неверный параметр';
	}
}
//Баннер 200*300
if ($_GET['func'] == 'ban3') {
    $id = intval($_POST['id']);
    $price = intval($_POST['price']);
    $nowtime = time();
    
    $sql = mysql_query("SELECT price FROM tb_advban_300 WHERE id = '$id' and modered = 1 and fromus = '$_SESSION[iduser]'");
	if(mysql_num_rows($sql) != 0) {
        $row = mysql_fetch_array($sql);
		if ($price < 5 or !is_numeric($price)) {
		  echo 'Указана неверная сумма';
		} else
        if ($id < 1) {
            echo 'Неверный параметр';
        } else {
            mysql_query("INSERT INTO seo_basket (ident,price,fromid,time,type) values ('$id','$price','$_SESSION[iduser]','$nowtime','10')") or die(mysql_error());
            echo 1;
		}
	} else {
	   echo 'Неверный параметр';
	}
}
//Баннер 468*60
if ($_GET['func'] == 'ban1') {
    $id = intval($_POST['id']);
    $price = intval($_POST['price']);
    $nowtime = time();
    
    $sql = mysql_query("SELECT price FROM tb_advban WHERE id = '$id' and modered = 1 and fromus = '$_SESSION[iduser]'");
	if(mysql_num_rows($sql) != 0) {
        $row = mysql_fetch_array($sql);
		if ($price < 5 or !is_numeric($price)) {
		  echo 'Указана неверная сумма';
		} else
        if ($id < 1) {
            echo 'Неверный параметр';
        } else {
            mysql_query("INSERT INTO seo_basket (ident,price,fromid,time,type) values ('$id','$price','$_SESSION[iduser]','$nowtime','3')") or die(mysql_error());
            echo 1;
		}
	} else {
	   echo 'Неверный параметр';
	}
}
//Задания
if ($_GET['func'] == 'task') {
    $id = intval($_POST['id']);
    $price = intval($_POST['price']);
    $nowtime = time();
    
    $sql = mysql_query("SELECT price FROM seo_tasks WHERE id = '$id' and modered = 1 and fromid = '$_SESSION[iduser]'");
	if(mysql_num_rows($sql) != 0) {
        $row = mysql_fetch_array($sql);
		if ($price < 5 or !is_numeric($price)) {
		  echo 'Указана неверная сумма';
		} else
        if ($id < 1) {
            echo 'Неверный параметр';
        } else {
            mysql_query("INSERT INTO seo_basket (ident,price,fromid,time,type) values ('$id','$price','$_SESSION[iduser]','$nowtime','5')") or die(mysql_error());
            echo 1;
		}
	} else {
	   echo 'Неверный параметр';
	}
}
//Ярмарка
if ($_GET['func'] == 'ref') {
    $id = intval($_POST['id']);
    $nowtime = time();
    
    $sql = mysql_query("SELECT count(id) FROM tb_users WHERE id IN(SELECT rid FROM seo_refbirj WHERE rid = '$id' and bron = 0)");
	if(mysql_num_rows($sql) != 0) {
        $price = mysql_result(mysql_query("SELECT price FROM seo_refbirj WHERE rid='$id'"),0);
		
		mysql_query("INSERT INTO seo_basket (ident,price,fromid,time,type) values ('$id','$price','$_SESSION[iduser]','$nowtime','4')") or die(mysql_error());
		mysql_query("UPDATE seo_refbirj SET bron=1 WHERE rid='$id'");
        echo 1;
	} else {
	   echo 'Неверный параметр';
	}
}

/// Пополнение рекламного счета
if ($_GET['func'] == 'upspay') {
    $pausums = floatval($_POST["pausum"]);
	if ($pausums > 10000) {
    echo 'Одним платежом можно пополнить на сумму не выше 10000 рублей.';
    exit();
    } else
	if($pausums <= 0.99) { 
	   echo 'Сумма указана не коректно, минимальная сумма пополнения 1 руб.'; 
	   exit();
	} else {
        $nowtime = time();
        mysql_query("INSERT INTO seo_basket (ident,price,fromid,time,type) values ('','$pausums','$_SESSION[iduser]','$nowtime','7')") or die(mysql_error());
        echo 1;
        exit();
    }
}

//Рекламная цепочка
if ($_GET['func'] == 'cep') {
    $id = intval($_POST['id']);
    $price = intval($_POST['price']);
    $nowtime = time();
    
    $sql = mysql_query("SELECT price FROM cep_links WHERE id = '$id' and modered = 1 and fromus = '$_SESSION[iduser]'");
	if(mysql_num_rows($sql) != 0) {
        $row = mysql_fetch_array($sql);
		if ($price < 5 or !is_numeric($price)) {
		  echo 'Указана неверная сумма';
		} else
        if ($id < 1) {
            echo 'Неверный параметр';
        } else {
            mysql_query("INSERT INTO seo_basket (ident,price,fromid,time,type) values ('$id','$price','$_SESSION[iduser]','$nowtime','11')") or die(mysql_error());
            echo 1;
		}
	} else {
	   echo 'Неверный параметр';
	}
}
?>